@ECHO OFF

rem CHANGE THE FOLLOWING IF NECESSARY:

set SQDRPLUS=C:\Program Files\StarQuest\sqdrplus\
set PROGRAMDATA=C:\ProgramData\StarQuest\sqdrplus
set DB2DIR=C:\Program Files\IBM\SQLLIB
set JAVA=java
set DERBYPWD=sqdrplus

rem OTHER PARMS BASED ON THE ABOVE
set DERBYPROG=%SQDRPLUS%\derby
set DERBY_HOME=%PROGRAMDATA%\derby
set DB2BIN=%DB2DIR%\bin
set DB2=%DB2BIN%\db2
set DB2CLP=DB20FADE
set DB2INSTANCE=DB2

rem use ij to query the Derby database for a list of control databases in use



rem Do a test connect so an error message is displayed in the case of a bad password or Derby not running

echo connect 'jdbc:derby://localhost:1527/SQDRPLUS;user=SQDR;password=%DERBYPWD%'; > connect.sql
"%JAVA%" -jar "%DERBYPROG%\lib\derbyrun.jar" ij < connect.sql

rem Create the SQL script

echo connect 'jdbc:derby://localhost:1527/SQDRPLUS;user=SQDR;password=%DERBYPWD%'; select CONTROLDB from SQ_AGENTS; > listdb.sql
"%JAVA%" -jar "%DERBYPROG%\lib\derbyrun.jar" ij < listdb.sql | findstr "SQDRP" | findstr /v "SQDRPLUS" | sort | uniq  > db_used.txt

del listdb.sql

rem List all of the databases that include the name SQDRP

"%DB2%" list database directory | findstr /I /C:"Database alias" | sed -f db.sed | sort | findstr "SQDRP" > db_all.txt

rem compare the output

echo The following databases appear to be unused by SQDR Plus:

diff --ignore-all-space db_used.txt db_all.txt | findstr "SQDRP" | sed -f trim.sed

echo You can use the dropdb.bat to drop these databases

diff --ignore-all-space db_used.txt db_all.txt | findstr "SQDRP" | sed -f drop.sed > dropdb.bat